commit 1036ecd79a0b127973ea85f0535fa58538c8d08c
parent 629948912648ca72de53dd3bf726a1f6123d2aef
Author: lash <dev@holbrook.no>
Date: Thu, 20 Apr 2023 08:11:40 +0100
Fix broken add tool
Diffstat:
11 files changed, 33 insertions(+), 10 deletions(-)
diff --git a/.piknik/.msg/.master b/.piknik/.msg/.master
@@ -1 +1 @@
-;K8‘yæFÀ€øaŸõ"L
-\ No newline at end of file
+b‘]éäEg±'Ë>9l`qçÁ³ƒJ¯¦«j¸ç€µ±
+\ No newline at end of file
diff --git a/.piknik/.tags/UNTAGGED/5018f938-7610-4ab4-8e80-ac1dc99cc8c3 b/.piknik/.tags/UNTAGGED/5018f938-7610-4ab4-8e80-ac1dc99cc8c3
diff --git a/.piknik/.tags/_BUG__CLI/0f68c301-74db-49b2-a227-49aab144c9e3 b/.piknik/.tags/_BUG__CLI/0f68c301-74db-49b2-a227-49aab144c9e3
diff --git a/.piknik/BACKLOG/5018f938-7610-4ab4-8e80-ac1dc99cc8c3 b/.piknik/BACKLOG/5018f938-7610-4ab4-8e80-ac1dc99cc8c3
@@ -1 +0,0 @@
-{"id": "5018f938-7610-4ab4-8e80-ac1dc99cc8c3", "title": "Subcommand context not visible when showing subcommand help page", "assigned": {}, "dependencies": [], "owner": null}
-\ No newline at end of file
diff --git a/.piknik/FINISHED/0f68c301-74db-49b2-a227-49aab144c9e3 b/.piknik/FINISHED/0f68c301-74db-49b2-a227-49aab144c9e3
@@ -1 +0,0 @@
-{"id": "0f68c301-74db-49b2-a227-49aab144c9e3", "title": "Help breaks citing missing subcommand for top level command", "assigned": {"d1d0e001": 1681893335.088039}, "dependencies": [], "owner": "d1d0e001"}
-\ No newline at end of file
diff --git a/.piknik/FINISHED/1b02c5d9-4c2b-455d-9874-15c1026b35d9 b/.piknik/FINISHED/1b02c5d9-4c2b-455d-9874-15c1026b35d9
@@ -1 +0,0 @@
-{"id": "1b02c5d9-4c2b-455d-9874-15c1026b35d9", "title": "Render HTML produces duplicate data", "assigned": {}, "dependencies": [], "owner": null}
-\ No newline at end of file
diff --git a/CHANGELOG b/CHANGELOG
@@ -1,3 +1,6 @@
+- 0.3.8
+ * Fix broken add tool
+ * Add minimal sanity cli tests
- 0.3.7
* Complete incomplete change from 0.3.6
- 0.3.6
diff --git a/piknik/cli/__init__.py b/piknik/cli/__init__.py
@@ -12,7 +12,7 @@ class Context:
self.issue_id = arg.issue_id
self.files_dir = arg.files_dir
self.show_finished = getattr(arg, 'show_finished', False)
- self.show_states = arg.state
+ self.show_states = getattr(arg, 'state', [])
#self.store_factory = FileStoreFactory(arg.d)
store_factory = FileStoreFactory(arg.d)
self.signer = None
diff --git a/run_tests.sh b/run_tests.sh
@@ -12,3 +12,6 @@ done
set +x
set +e
set +a
+
+>&2 echo run minimal cli tests
+bash test_cli.sh
diff --git a/setup.cfg b/setup.cfg
@@ -1,6 +1,6 @@
[metadata]
name = piknik
-version = 0.3.7
+version = 0.3.8
description = CLI issue tracker
author = Louis Holbrook
author_email = dev@holbrook.no
diff --git a/test_cli.sh b/test_cli.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -a
+set -e
+set -x
+default_pythonpath=$PYTHONPATH:.
+export PYTHONPATH=${default_pythonpath:-.}
+d=`mktemp -d`
+i_foo=`python piknik/runnable/cmd.py add "foo"`
+i_bar=`python piknik/runnable/cmd.py add "bar"`
+python piknik/runnable/cmd.py mod --accept -i $i_foo
+python piknik/runnable/cmd.py mod --finish -i $i_bar
+python piknik/runnable/cmd.py comment -x bazbazbaz -i $i_foo
+python piknik/runnable/cmd.py show
+python piknik/runnable/cmd.py show -r html
+python piknik/runnable/cmd.py show -i $i_foo
+python piknik/runnable/cmd.py show -r html -i $i_bar
+set +x
+set +e
+set +a
+
+
+